Skip to main content
Back to API List Deletes a Batch Test Suite.
PropertyValue
MethodDELETE
Endpointhttps://{host}/api/public/bot/{botId}/testsuite/{testSuiteName}
Content Typeapplication/json
Authorizationauth: {{JWT}} — See How to generate the JWT Token.
API ScopeApp Builder: Batch Tests Management; Admin Console: Batch Tests Management

Query Parameters

ParameterDescriptionRequired
hostThe environment URL. For example, https://platform.kore.aiRequired
BotIDBot ID or Stream ID, accessible under General Settings on the App Builder.Required
testSuiteNameName of the test suite on the App Builder. Note: Only Custom Batch Test Suites can be deleted.Required

Sample Request

curl --location --request DELETE \
     'https://{host}/api/public/stream/{streamId}/testsuite/{testSuiteName}' \
       --header 'auth: {YOUR_JWT_ACCESS_TOKEN}' \
       --header 'bot-language: {language-code}'

Body Parameters

No body parameters are passed.

Sample Response

{
    "message": "Test Suite removed successfully"
}